cURL
curl -X GET \
-H 'Authorization: Bearer $API_KEY' \
-H 'Accept: application/json' \
'$BASE_URL/workflows/$workflow_id'import requests
headers = {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
resp = requests.get('https://accounts.playbook3d.com/runs/<RUN_ID>/result', headers=headers)
print(resp.status_code, resp.json())fetch('https://accounts.playbook3d.com/runs/<RUN_ID>/result', {
method: 'GET',
headers: {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
}).then(res => res.json())
.then(data => console.log(data))
.catch(err => console.error(err));// Using HttpClient
HttpClient client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "<YOUR_API_KEY>");
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", "<YOUR_JWT_TOKEN>");
var response = await client.GetAsync("https://accounts.playbook3d.com/runs/<RUN_ID>/result");
string content = await response.Content.ReadAsStringAsync();
Console.WriteLine(response.StatusCode);
Console.WriteLine(content);{
"result": "https://signed-url.s3.amazonaws.com/..."
}{
"description": "Bad Request. Usually means run_id is invalid."
}{
"description": "Unauthorized. The Bearer token or API key is invalid or missing."
}{
"description": "Forbidden. The user does not have permission to view this run result."
}{
"description": "Not Found. The run with the given ID does not exist or has no result."
}{
"description": "Internal Server Error. Something went wrong on the server."
}Runs
Get Run Result by Run ID
Returns a signed URL (or other info) for the output associated with a given run ID.
GET
/
{run_id}
/
result
cURL
curl -X GET \
-H 'Authorization: Bearer $API_KEY' \
-H 'Accept: application/json' \
'$BASE_URL/workflows/$workflow_id'import requests
headers = {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
resp = requests.get('https://accounts.playbook3d.com/runs/<RUN_ID>/result', headers=headers)
print(resp.status_code, resp.json())fetch('https://accounts.playbook3d.com/runs/<RUN_ID>/result', {
method: 'GET',
headers: {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
}).then(res => res.json())
.then(data => console.log(data))
.catch(err => console.error(err));// Using HttpClient
HttpClient client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "<YOUR_API_KEY>");
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", "<YOUR_JWT_TOKEN>");
var response = await client.GetAsync("https://accounts.playbook3d.com/runs/<RUN_ID>/result");
string content = await response.Content.ReadAsStringAsync();
Console.WriteLine(response.StatusCode);
Console.WriteLine(content);{
"result": "https://signed-url.s3.amazonaws.com/..."
}{
"description": "Bad Request. Usually means run_id is invalid."
}{
"description": "Unauthorized. The Bearer token or API key is invalid or missing."
}{
"description": "Forbidden. The user does not have permission to view this run result."
}{
"description": "Not Found. The run with the given ID does not exist or has no result."
}{
"description": "Internal Server Error. Something went wrong on the server."
}Headers
Your API key. This is required by most endpoints to access the API programmatically. You can view your x-api-key using the 'Profile' tab on the website.
Bearer token for authentication (JWT).
Path Parameters
The UUID of the run whose result you want to retrieve.
Response
Successful response. Returns JSON with a signed S3 URL, e.g. { "result": "https://..." }
Signed URL or other location of run's output